choose language

Deutsch Français 日本語 简体中文

See all Nokia sites

Viewing

Compatible OS

  • iOS 8.0 or higher
  • Android 4.3 or higher

Compatible Devices

  • iPhone 4s or higher
  • iPod Touch 5th Generation
  • iPad (3rd Generation or higher, as well as any iPad Mini)
  • BLE (Bluetooth low Energy) compatible Android devices

The following Android devices are not compatible with the Nokia Go:

Wiko: 
All devices
LG: 


G3 Stylus (LG-D690)
Bello (LG-D331)
L50 (LG-D213)
Blackberry:          All devices
Landvo:  L200G
Huawei: 

Honor 3X (G750-T00)
Honor Holy (Hol-U19)
Honor 6X
Honor 6C
Honor 6
Honor 7 Lite
Honor 7
Honor 5C
Honor 8
Honor 8 Lite
Huawei P8 Lite
Huawei P9 Lite
Huawei P10 Lite
Doro: 

Liberto 820
Liberto 820 mini
THL:  THL 5000
Zopo:  Zopo ZP320
Archos:

50c Oxygen
40c Titanium
iOcean: X8 Mini PRO
Komu:  KOMU ENERGY
UMI ZERO:  UMI ZERO
Kodak:  IM5
Logicom: L-EMENT 400
 Acer:  Liquid
 Kindle:  Kindle Fire

To know if your device is compatible, you can download the Nokia Health Mate® app, open it, go to My devices, and see if the Nokia Go is one of the devices that you can install. If you can't see it, your device is not compatible.

Didn't find what you need? Here's how to get in touch.

Contact us